# rtmp2sink

The rtmp2sink element sends audio and video streams to an RTMP server.

<refsect2> Example launch line |[ gst-launch -v videotestsrc ! x264enc ! flvmux ! rtmp2sink location=rtmp://server.example.com/live/myStream ]| FIXME Describe what the pipeline does. </refsect2>

## Hierarchy

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseSink
                        ╰──rtmp2sink

## Implemented interfaces

    GstURIHandler
    GstRtmpLocationHandler

## Factory details

Authors: – Make.TV, Inc. <info></info>

Classification: – `Sink`

Rank – primary + 1

Plugin – rtmp2

Package – GStreamer Bad Plug-ins

## Pad Templates

### `sink`

    video/x-flv:

Presence – always

Direction – sink

Object type – GstPad

## Properties

### async-connect

    “async-connect” gboolean

Connect on READY, otherwise on first push

Flags : Read / Write

Default value : true

### chunk-size

    “chunk-size” guint

RTMP chunk size

Flags : Read / Write

Default value : 128

### peak-kbps

    “peak-kbps” guint

Bitrate in kbit/sec to pace outgoing packets

Flags : Read / Write

Default value : 0

### stats

    “stats” GstStructure *

Retrieve a statistics structure

Flags : Read

Default value :

    GstRtmpConnectionStats, in-chunk-size=(uint)0, out-chunk-size=(uint)0, in-window-ack-size=(uint)0, out-window-ack-size=(uint)0, in-bytes-total=(guint64)0, out-bytes-total=(guint64)0, in-bytes-acked=(guint64)0, out-bytes-acked=(guint64)0;

### stop-commands

    “stop-commands” Rtmp-stop-commands *

Which commands (if any) to send on EOS event before closing connection

Flags : Read / Write

Default value : deletestream+fcunpublish

Since : 1.20

## Named constants

### Rtmp-stop-commands

#### Members

`none` (0x00000000) – No command
`fcunpublish` (0x00000001) – FCUnpublish
`closestream` (0x00000002) – closeStream
`deletestream` (0x00000004) – deleteStream

Since : 1.18

The results of the search are